import { BindingKey } from '@loopback/core';
import { ForgotPasswordHandlerFn, JwtPayloadFn, PasswordDecryptionFn, PasswordHashingFn, PasswordVerifyFn } from './providers';
import { ActorId, IAuthServiceConfig, IMfaConfig, IOtpConfig, IUserActivity, UserValidationFn } from './types';
export declare namespace AuthServiceBindings {
    const Config: BindingKey<IAuthServiceConfig | null>;
    namespace UserValidationServiceBindings {
        const VALIDATE_USER: BindingKey<UserValidationFn | null>;
    }
    const MfaConfig: BindingKey<IMfaConfig | null>;
    const OtpConfig: BindingKey<IOtpConfig | null>;
    const JWTPayloadProvider: BindingKey<JwtPayloadFn>;
    const PASSWORD_DECRYPTION_PROVIDER: BindingKey<PasswordDecryptionFn>;
    const PASSWORD_HASHING_PROVIDER: BindingKey<PasswordHashingFn>;
    const PASSWORD_VERIFY_PROVIDER: BindingKey<PasswordVerifyFn>;
    const ForgotPasswordHandler: BindingKey<ForgotPasswordHandlerFn>;
    const ActorIdKey: BindingKey<ActorId>;
    const MarkUserActivity: BindingKey<IUserActivity>;
}
export { AuthenticationBindings } from 'loopback4-authentication';
export { AuthorizationBindings } from 'loopback4-authorization';
