import { Provider } from '@loopback/context';
import { VerifyFunction } from 'loopback4-authentication';
import { AuthSecureClientRepository, OtpRepository, UserRepository, UserTenantRepository } from '../../../repositories';
import { UserHelperService } from '../../../services';
export declare class SecureResourceOwnerVerifyProvider implements Provider<VerifyFunction.SecureResourceOwnerPasswordFn> {
    userRepository: UserRepository;
    utRepository: UserTenantRepository;
    authSecureClientRepository: AuthSecureClientRepository;
    otpRepository: OtpRepository;
    private readonly userHelperService;
    constructor(userRepository: UserRepository, utRepository: UserTenantRepository, authSecureClientRepository: AuthSecureClientRepository, otpRepository: OtpRepository, userHelperService: UserHelperService);
    value(): VerifyFunction.SecureResourceOwnerPasswordFn;
}
