import { Getter } from '@loopback/core';
import { Entity, HasManyRepositoryFactory } from '@loopback/repository';
import { SequelizeDataSource } from '@loopback/sequelize';
import { SequelizeSoftCrudRepository } from 'loopback4-soft-delete/sequelize';
import { Tenant, TenantConfig } from '../../models';
import { TenantConfigRepository } from './tenant-config.repository';
export declare class TenantRepository extends SequelizeSoftCrudRepository<Tenant, typeof Tenant.prototype.id> {
    protected tenantConfigRepositoryGetter: Getter<TenantConfigRepository>;
    private readonly tenant;
    readonly tenantConfigs: HasManyRepositoryFactory<TenantConfig, typeof Tenant.prototype.id>;
    constructor(dataSource: SequelizeDataSource, tenantConfigRepositoryGetter: Getter<TenantConfigRepository>, tenant: typeof Entity & {
        prototype: Tenant;
    });
}
