"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantRepository = void 0;
const tslib_1 = require("tslib");
// Copyright (c) 2023 Sourcefuse Technologies
//
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const sequelize_1 = require("@loopback/sequelize");
const sequelize_2 = require("loopback4-soft-delete/sequelize");
const types_1 = require("../../types");
let TenantRepository = class TenantRepository extends sequelize_2.SequelizeSoftCrudRepository {
    constructor(dataSource, tenantConfigRepositoryGetter, tenant) {
        super(tenant, dataSource);
        this.tenantConfigRepositoryGetter = tenantConfigRepositoryGetter;
        this.tenant = tenant;
        this.tenantConfigs = this.createHasManyRepositoryFactoryFor('tenantConfigs', tenantConfigRepositoryGetter);
        this.registerInclusionResolver('tenantConfigs', this.tenantConfigs.inclusionResolver);
    }
};
exports.TenantRepository = TenantRepository;
exports.TenantRepository = TenantRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.AuthDbSourceName}`)),
    tslib_1.__param(1, repository_1.repository.getter('TenantConfigRepository')),
    tslib_1.__param(2, (0, core_1.inject)('models.Tenant')),
    tslib_1.__metadata("design:paramtypes", [sequelize_1.SequelizeDataSource, Function, Object])
], TenantRepository);
//# sourceMappingURL=tenant.repository.js.map