"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserLevelPermissionRepository = void 0;
const tslib_1 = require("tslib");
// Copyright (c) 2023 Sourcefuse Technologies
//
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const sequelize_1 = require("@loopback/sequelize");
const sequelize_2 = require("loopback4-soft-delete/sequelize");
const __1 = require("../..");
const types_1 = require("../../types");
let UserLevelPermissionRepository = class UserLevelPermissionRepository extends sequelize_2.SequelizeSoftCrudRepository {
    constructor(dataSource, userTenantRepositoryGetter) {
        super(__1.UserLevelPermission, dataSource);
        this.userTenantRepositoryGetter = userTenantRepositoryGetter;
        this.userTenant = this.createBelongsToAccessorFor('userTenant', userTenantRepositoryGetter);
        this.registerInclusionResolver('userTenant', this.userTenant.inclusionResolver);
    }
};
exports.UserLevelPermissionRepository = UserLevelPermissionRepository;
exports.UserLevelPermissionRepository = UserLevelPermissionRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.AuthDbSourceName}`)),
    tslib_1.__param(1, repository_1.repository.getter('UserTenantRepository')),
    tslib_1.__metadata("design:paramtypes", [sequelize_1.SequelizeDataSource, Function])
], UserLevelPermissionRepository);
//# sourceMappingURL=user-level-permission.repository.js.map