"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantConfigRepository = void 0;
const tslib_1 = require("tslib");
// Copyright (c) 2023 Sourcefuse Technologies
//
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const core_2 = require("@sourceloop/core");
const models_1 = require("../models");
const types_1 = require("../types");
let TenantConfigRepository = class TenantConfigRepository extends core_2.DefaultSoftCrudRepository {
    constructor(dataSource, tenantRepositoryGetter) {
        super(models_1.TenantConfig, dataSource);
        this.tenantRepositoryGetter = tenantRepositoryGetter;
        this.tenant = this.createBelongsToAccessorFor('tenant', tenantRepositoryGetter);
        this.registerInclusionResolver('tenant', this.tenant.inclusionResolver);
    }
};
exports.TenantConfigRepository = TenantConfigRepository;
exports.TenantConfigRepository = TenantConfigRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.AuthDbSourceName}`)),
    tslib_1.__param(1, repository_1.repository.getter('TenantRepository')),
    tslib_1.__metadata("design:paramtypes", [repository_1.juggler.DataSource, Function])
], TenantConfigRepository);
//# sourceMappingURL=tenant-config.repository.js.map