import { Getter } from '@loopback/core';
import { Entity, HasManyRepositoryFactory, juggler } from '@loopback/repository';
import { DefaultSoftCrudRepository } from '@sourceloop/core';
import { Tenant, TenantConfig } from '../models';
import { TenantConfigRepository } from './tenant-config.repository';
export declare class TenantRepository extends DefaultSoftCrudRepository<Tenant, typeof Tenant.prototype.id> {
    protected tenantConfigRepositoryGetter: Getter<TenantConfigRepository>;
    private readonly tenant;
    readonly tenantConfigs: HasManyRepositoryFactory<TenantConfig, typeof Tenant.prototype.id>;
    constructor(dataSource: juggler.DataSource, tenantConfigRepositoryGetter: Getter<TenantConfigRepository>, tenant: typeof Entity & {
        prototype: Tenant;
    });
}
