import { Getter } from '@loopback/core';
import { BelongsToAccessor, Entity, HasManyRepositoryFactory, HasOneRepositoryFactory, juggler } from '@loopback/repository';
import { DefaultSoftCrudRepository, ILogger } from '@sourceloop/core';
import { Tenant, User, UserCredentials, UserRelations, UserTenant } from '../models';
import { PasswordDecryptionFn, PasswordHashingFn, PasswordVerifyFn } from '../providers';
import { OtpRepository } from './otp.repository';
import { TenantRepository } from './tenant.repository';
import { UserCredentialsRepository } from './user-credentials.repository';
import { UserTenantRepository } from './user-tenant.repository';
export declare class UserRepository extends DefaultSoftCrudRepository<User, typeof User.prototype.id, UserRelations> {
    getOtpRepository: Getter<OtpRepository>;
    protected tenantRepositoryGetter: Getter<TenantRepository>;
    protected userTenantRepositoryGetter: Getter<UserTenantRepository>;
    private readonly logger;
    private readonly passwordDecryptionFn;
    private readonly passwordHashingFn;
    private readonly passwordVerifyFn;
    private readonly user;
    readonly credentials: HasOneRepositoryFactory<UserCredentials, typeof User.prototype.id>;
    readonly tenant: BelongsToAccessor<Tenant, typeof User.prototype.id>;
    readonly userTenants: HasManyRepositoryFactory<UserTenant, typeof User.prototype.id>;
    constructor(dataSource: juggler.DataSource, getUserCredsRepository: Getter<UserCredentialsRepository>, getOtpRepository: Getter<OtpRepository>, tenantRepositoryGetter: Getter<TenantRepository>, userTenantRepositoryGetter: Getter<UserTenantRepository>, logger: ILogger, passwordDecryptionFn: PasswordDecryptionFn, passwordHashingFn: PasswordHashingFn, passwordVerifyFn: PasswordVerifyFn, user: typeof Entity & {
        prototype: User;
    });
}
