import { Getter } from '@loopback/context';
import { DataObject, HasOneRepositoryFactory } from '@loopback/repository';
import { ILogger } from '@sourceloop/core';
import { User, UserCredentials } from '../models';
import { Options } from '@loopback/repository/src/common-types';
import { PasswordDecryptionFn, PasswordHashingFn } from '../providers';
import { OtpRepository, UserCredentialsRepository, UserRepository, UserTenantRepository } from '../repositories';
export declare class UserHelperService {
    userRepository: UserRepository;
    userCredentialsRepository: UserCredentialsRepository;
    getOtpRepository: Getter<OtpRepository>;
    protected userTenantRepositoryGetter: Getter<UserTenantRepository>;
    private readonly logger;
    private readonly passwordDecryptionFn;
    private readonly passwordHashingProvider;
    readonly credentials: HasOneRepositoryFactory<UserCredentials, typeof User.prototype.id>;
    constructor(userRepository: UserRepository, userCredentialsRepository: UserCredentialsRepository, getOtpRepository: Getter<OtpRepository>, userTenantRepositoryGetter: Getter<UserTenantRepository>, logger: ILogger, passwordDecryptionFn: PasswordDecryptionFn, passwordHashingProvider: PasswordHashingFn);
    create(entity: DataObject<User>, options?: Options): Promise<User>;
    createWithoutPassword(entity: DataObject<User>, options?: Options): Promise<User>;
    verifyPassword(username: string, password: string): Promise<User>;
    decryptPassword(password: string): Promise<string>;
    updatePassword(username: string, password: string, newPassword: string): Promise<User>;
    changePassword(username: string, newPassword: string, oldPassword?: string): Promise<User>;
    updateLastLogin(userId: string): Promise<void>;
    firstTimeUser(userId: string): Promise<boolean>;
}
